import argparse
import asyncio

from clarabot_nano.indexer.process import IndexerProcess


async def startup():
    proc = IndexerProcess()
    await proc.run()


def main():
    parser = argparse.ArgumentParser("Clarabot Nano - Indexer process")
    args = parser.parse_args()
    asyncio.run(startup())


if __name__ == "__main__":
    main()
